Skip Menu |
 

This queue is for tickets about the Catalyst-Plugin-LogWarnings CPAN distribution.

Report information
The Basics
Id: 54093
Status: resolved
Priority: 0/
Queue: Catalyst-Plugin-LogWarnings

People
Owner: Nobody in particular
Requestors: t0m [...] state51.co.uk
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: Should not use Class::C3 directly.
Date: Thu, 28 Jan 2010 23:04:06 +0000
To: Bug-Catalyst-Plugin-LogWarnings [...] rt.cpan.org
From: Tomas Doran <t0m [...] state51.co.uk>
Download (untitled) / with headers
text/plain 320b
Hi Your module uses Class::C3 directly. It shouldn't do this, as c3 method resolution is natively included in perl >= 5.9.5. Instead, you should depend on MRO::Compat which will require Class::C3 if the perl version that the user has requires it, but will otherwise use the native implementation. Cheers t0m


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.